Subject: Re: linux-next: build failure after merge of the vfio tree

From: Leon Romanovsky <[email-masked]>
Date: Mon, 9 Feb 2026 08:30:12 +0200

On Mon, Feb 09, 2026 at 02:07:15AM +0000, Mark Brown wrote:
> Hi all,
> 
> After merging the vfio tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> In file included from /tmp/next/build/include/rdma/ib_addr.h:21,
>                  from /tmp/next/build/include/rdma/rdma_cm.h:12,
>                  from /tmp/next/build/drivers/block/rnbd/rnbd-clt-sysfs.c:22:
> /tmp/next/build/include/rdma/ib_verbs.h:2509:37: error: 'struct dma_buf_phys_vec' declared inside parameter list will not be visible outside of this definition or declaration [-Werror]
>  2509 |                              struct dma_buf_phys_vec *phys_vec,
>       |                                     ^~~~~~~~~~~~~~~~

<...>

> Caused by commit
> 
>   b703b31ea8cd22 (types: reuse common phys_vec type instead of DMABUF open‑coded variant)
> 
> interacting with commit:
> 
>   e6738fe6cad448 (RDMA/uverbs: Add DMABUF object type and operations)
> 
> from the rdma tree.  I have reverted the latter commit (it being the new
> one), really a semantic fixup should be applied - I will try to revisit
> tomorrow.

Thanks for the report. I had forgotten to merge Alex's
common_phys_vec_via_vfio tag. This is corrected now.

Thanks